summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2016-03-06 20:12:39 +0100
committerManuel Rüger <mrueg@gentoo.org>2016-03-06 20:12:39 +0100
commitbf3e976e87999d39d4d3cc641c087281e9d3076d (patch)
treeb0996e7c6205a28d4f8278f70b119901fe2c7d5d /dev-ruby/kramdown
parentdev-ruby/modernizr: Remove ruby19, fix desc (diff)
downloadgentoo-bf3e976e87999d39d4d3cc641c087281e9d3076d.tar.gz
gentoo-bf3e976e87999d39d4d3cc641c087281e9d3076d.tar.bz2
gentoo-bf3e976e87999d39d4d3cc641c087281e9d3076d.zip
dev-ruby/kramdown: Remove old
Package-Manager: portage-2.2.27
Diffstat (limited to 'dev-ruby/kramdown')
-rw-r--r--dev-ruby/kramdown/Manifest2
-rw-r--r--dev-ruby/kramdown/kramdown-1.8.0.ebuild55
-rw-r--r--dev-ruby/kramdown/kramdown-1.9.0.ebuild55
3 files changed, 0 insertions, 112 deletions
diff --git a/dev-ruby/kramdown/Manifest b/dev-ruby/kramdown/Manifest
index 63d8b2b9377..c04630bd09a 100644
--- a/dev-ruby/kramdown/Manifest
+++ b/dev-ruby/kramdown/Manifest
@@ -1,4 +1,2 @@
DIST kramdown-1.10.0.gem 240128 SHA256 40e505358f6a9f359cee8f2e244344954ff3c9067108aed5603339d6cfc96c80 SHA512 fa0c8f1de6ea7306c7ca47a99f0d3e4a2e720e8d7d00f85a811b0ddd7f533960d583f94dee59f1d04900069163dd583c70520bedeeada77d673ff1b3d8b3782e WHIRLPOOL 637e229dc3d2dc6b1dd33ff14014db6c8830d2869fe8abc1bb3211c70b6fb5faf8dcddeccb338aa310b166e3cbf0efbdf79cc17a2a2d6cc1f9c0aeb6c511387b
DIST kramdown-1.4.2.gem 226816 SHA256 ae9b9456c69fa06f9c3058841e09b85e07cda875eb36c3202ea46baf8e123ea8 SHA512 31e7a30bcc453968ec6db0c1f0e5f8cea222dde8b8f6a26da72e0cf1b049c9f4c4e8384685a5e241e41fda526cd0f5fba4ac7debd0fb0d3eb6539dd9afc1dd27 WHIRLPOOL aa0166861584c2e3115923db1de9203581c02f4cab42866a88947a3e52fb32eee4ab2cdcc2fd623669a4c8a2e1972a340d9100a04fbc595bb40bde46e553223f
-DIST kramdown-1.8.0.gem 238080 SHA256 54287608f4399006ae5549f009053d2029ad75bf462dc70203c116580ac0d867 SHA512 8dace5b6ad764654c4375a4c2fad171e88448281936ced8d4efc5956e291e7c31b0ef295845241cb3e36976dc4a1e78886d2dff9fc172845622ab74a3b062230 WHIRLPOOL a58df1a8b19b274baea9feb7658b17d524c3abf983c9f56c80c69a7c180e1c48f22b106c2685acb950504531cf10dd388eaf0fc3699eeb3d8aac82cb3521adb7
-DIST kramdown-1.9.0.gem 238592 SHA256 e00ef90f083f845118577dd6a040b4a4aa475bd7a2a645b2ad6944da0555598b SHA512 0ac14adec59c4032d27ac0e3c66a0737688295562782c86f80c953fdca56b5611b7f32dfb570649421fdc1b47deea72715a21c907124c99663bc1a23c1f489ec WHIRLPOOL ba34d5e746e6e3515c40dd3716d4e277ba5c15978095dc91f4a74e2c981dbf4e04717185870f7cfba5e76edc7f3bd209aa6d51f901673ec9dcc6d1ba7c635775
diff --git a/dev-ruby/kramdown/kramdown-1.8.0.ebuild b/dev-ruby/kramdown/kramdown-1.8.0.ebuild
deleted file mode 100644
index 6e08470e09d..00000000000
--- a/dev-ruby/kramdown/kramdown-1.8.0.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21"
-
-RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS CONTRIBUTERS"
-
-RUBY_FAKEGEM_EXTRAINSTALL="data"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Yet-another-markdown-parser but fast, pure Ruby, using a strict syntax definition"
-HOMEPAGE="http://kramdown.gettalong.org/"
-
-LICENSE="MIT"
-
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86"
-IUSE="latex"
-
-LATEX_DEPS="latex? ( dev-texlive/texlive-latex dev-texlive/texlive-latexextra )"
-RDEPEND+=" ${LATEX_DEPS}"
-DEPEND+=" test? ( ${LATEX_DEPS} app-text/htmltidy )"
-
-ruby_add_rdepend "dev-ruby/prawn:2
- dev-ruby/prawn-table
- >=dev-ruby/rouge-1.8
- >=dev-ruby/itextomml-1.5
- >=dev-ruby/coderay-1.0.0
- >=dev-ruby/ritex-1.0
- >=dev-ruby/stringex-1.5.1"
-
-ruby_add_bdepend "doc? ( dev-ruby/rdoc )
- test? ( >=dev-ruby/minitest-5.0 )"
-
-all_ruby_prepare() {
- if ! use latex; then
- # Remove latex tests. They will fail gracefully when latex isn't
- # present at all, but not when components are missing (most
- # notable ucs.sty).
- sed -i -e '/latex -v/,/^ end/ s:^:#:' test/test_files.rb || die
- fi
-
- # Avoid tests requiring node to be installed with mathjaxnode.
- rm -f test/testcases/span/math/mathjaxnode* \
- test/testcases/block/15_math/mathjaxnode* || die
-}
-
-all_ruby_install() {
- all_fakegem_install
-
- doman man/man1/kramdown.1
-}
diff --git a/dev-ruby/kramdown/kramdown-1.9.0.ebuild b/dev-ruby/kramdown/kramdown-1.9.0.ebuild
deleted file mode 100644
index fbace93b06d..00000000000
--- a/dev-ruby/kramdown/kramdown-1.9.0.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby20 ruby21"
-
-RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS CONTRIBUTERS"
-
-RUBY_FAKEGEM_EXTRAINSTALL="data"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Yet-another-markdown-parser but fast, pure Ruby, using strict syntax definition"
-HOMEPAGE="http://kramdown.gettalong.org/"
-
-LICENSE="MIT"
-
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86"
-IUSE="latex"
-
-LATEX_DEPS="latex? ( dev-texlive/texlive-latex dev-texlive/texlive-latexextra )"
-RDEPEND+=" ${LATEX_DEPS}"
-DEPEND+=" test? ( ${LATEX_DEPS} app-text/htmltidy )"
-
-ruby_add_rdepend "dev-ruby/prawn:2
- dev-ruby/prawn-table
- >=dev-ruby/rouge-1.8
- >=dev-ruby/itextomml-1.5
- >=dev-ruby/coderay-1.0.0
- >=dev-ruby/ritex-1.0
- >=dev-ruby/stringex-1.5.1"
-
-ruby_add_bdepend "doc? ( dev-ruby/rdoc )
- test? ( >=dev-ruby/minitest-5.0 )"
-
-all_ruby_prepare() {
- if ! use latex; then
- # Remove latex tests. They will fail gracefully when latex isn't
- # present at all, but not when components are missing (most
- # notable ucs.sty).
- sed -i -e '/latex -v/,/^ end/ s:^:#:' test/test_files.rb || die
- fi
-
- # Avoid tests requiring node to be installed with mathjaxnode.
- rm -f test/testcases/span/math/mathjaxnode* \
- test/testcases/block/15_math/mathjaxnode* || die
-}
-
-all_ruby_install() {
- all_fakegem_install
-
- doman man/man1/kramdown.1
-}